if (!window.PluginUtil) {
    var PluginUtil = {
        register: function(namespace, pluginName, rawPlugin) {
            for (var methodName in rawPlugin) {
                if (!rawPlugin.hasOwnProperty(methodName) || (typeof rawPlugin[methodName] != 'function'))
                    continue;
                window[namespace] = window[namespace] || {};
                if (!window[namespace][pluginName]) {
                    window[namespace][pluginName] = {};
                }

                var pluginProxy = window[namespace][pluginName];
                pluginProxy[methodName] = (function(methodName) {
                    return function() {
                        if (window.plus && window.plus.isReady) {
                            rawPlugin[methodName].apply(window, arguments);
                        } else {
                            document.addEventListener("plusready",  function() {
                                rawPlugin[methodName].apply(window, arguments);
                            }, true);
                        }
                    }
                })(methodName);
            }
        }
    };
}

(function() {
    //插件名称
    var PLUGIN_NAME = "BasePlugin";
    //定义JS插件
    var BasePlugin = {
         /**
          * 重置交易密码
          * @param: type  标题是否"设置交易密码"
          */
        resetPayPwd : function (type) {
            var args = [type];
            return window.plus.bridge.exec(PLUGIN_NAME, "resetPayPwd", args);
        },

        /**
        * 修改交易密码
        */
        modifyPayPwd : function (){
            return window.plus.bridge.exec(PLUGIN_NAME, "modifyPayPwd", null);
        },
    };


    //输出插件
    window.PluginUtil.register("muapp", PLUGIN_NAME, BasePlugin);

})();